it-swarm-ja.com

Ubuntu11.04にant1.8を正しくインストールする方法

次の手順を使用して、Ubuntu11.04ボックスにant1.8をインストールしようとしました。

http://www.thegeekwork.com/how-to-install-ant-1-8-2-using-ppa-on-ubuntu/

そして、インストールされているものをリストすると、次のようになります。

$ dpkg -L ant
/.
/usr
/usr/bin
/usr/share
/usr/share/maven-repo
/usr/share/maven-repo/org
/usr/share/maven-repo/org/Apache
/usr/share/maven-repo/org/Apache/ant
/usr/share/maven-repo/org/Apache/ant/ant
/usr/share/maven-repo/org/Apache/ant/ant/1.8.2
/usr/share/maven-repo/org/Apache/ant/ant/1.8.2/ant-1.8.2.pom
/usr/share/maven-repo/org/Apache/ant/ant/debian
/usr/share/maven-repo/org/Apache/ant/ant/debian/ant-debian.pom
/usr/share/maven-repo/org/Apache/ant/ant-launcher
/usr/share/maven-repo/org/Apache/ant/ant-launcher/1.8.2
/usr/share/maven-repo/org/Apache/ant/ant-launcher/1.8.2/ant-launcher-1.8.2.pom
/usr/share/maven-repo/org/Apache/ant/ant-launcher/debian
/usr/share/maven-repo/org/Apache/ant/ant-launcher/debian/ant-launcher-debian.pom
/usr/share/maven-repo/org/Apache/ant/ant-parent
/usr/share/maven-repo/org/Apache/ant/ant-parent/1.8.2
/usr/share/maven-repo/org/Apache/ant/ant-parent/1.8.2/ant-parent-1.8.2.pom
/usr/share/maven-repo/org/Apache/ant/ant-parent/debian
/usr/share/maven-repo/org/Apache/ant/ant-parent/debian/ant-parent-debian.pom
/usr/share/ant
/usr/share/ant/bin
/usr/share/ant/bin/ant
/usr/share/ant/bin/complete-ant-cmd.pl
/usr/share/ant/bin/antRun
/usr/share/ant/bin/antRun.pl
/usr/share/ant/bin/runant.pl
/usr/share/ant/lib
/usr/share/ant/etc
/usr/share/ant/etc/ant-bootstrap.jar
/usr/share/doc
/usr/share/doc/ant
/usr/share/doc/ant/copyright
/usr/share/doc/ant/README.gz
/usr/share/doc/ant/README.Debian
/usr/share/doc/ant/changelog.Debian.gz
/usr/share/man
/usr/share/man/man5
/usr/share/man/man5/build.xml.5.gz
/usr/share/man/man1
/usr/share/man/man1/ant.1.gz
/usr/share/Java
/usr/share/Java/ant-launcher-1.8.2.jar
/usr/share/Java/ant-1.8.2.jar
/usr/bin/ant
/usr/share/maven-repo/org/Apache/ant/ant/1.8.2/ant-1.8.2.jar
/usr/share/maven-repo/org/Apache/ant/ant/debian/ant-debian.jar
/usr/share/maven-repo/org/Apache/ant/ant-launcher/1.8.2/ant-launcher-1.8.2.jar
/usr/share/maven-repo/org/Apache/ant/ant-launcher/debian/ant-launcher-debian.jar
/usr/share/ant/lib/ant-launcher.jar
/usr/share/ant/lib/ant.jar
/usr/share/Java/ant-launcher.jar
/usr/share/Java/ant.jar
/usr/share/Java/ant-bootstrap.jar

したがって、一見ant1.8がインストールされています。ただし、antのバージョンを確認すると、ant1.7が表示されます。

$ /usr/bin/ant -version
Apache Ant version 1.7.0 compiled on December 13 2006

このボックスでant1.8を入手する方法について何かアイデアはありますか?

ありがとう!

1
bguiz

11.04を使用していますか?デフォルトでは、nattyはant1.8を持っているからです。古いバージョンのUbuntuを使用している場合は、Ubuntuリポジトリ自体からantをインストールできます。

Sudo apt-get install ant1.8

11.04で問題が発生した場合は、ant1.7を削除してみてください。デフォルトでは、11.04のantは1.8.1です。それ以外の場合、そのppaからant1.8が特に必要な場合は、既存のant、ant1.7を削除してインストールできます。

1
Jishnu